Subject: Re: .tar.gz
From: [email-masked] (Chris Faylor)

1 Aug 1997 14:30:42 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
X-Newsreader: trn 4.0-test57 (27 Apr 97)
Original-To: [email-masked]
X-Mailer: Perl5 Mail::Internet v1.28
Original-Sender: [email-masked]

I don't see how anyone could ever argue that gzip is "non-portable".
In fact that isn't what this thread is about.  Of course it is "portable";
it's got something called a "configure" script which goes to great pains to
ensure that it will run on as many platforms as possible.

The point that was being made is that 'gzip' is not distributed, by
default, with many computer systems.  Most UNIX distributions do have a
'compress' program, however.  That doesn't mean that compress is more
"portable" but it does mean that it is more widely available.

The original poster was not saying that the compress code was more
"portable".  He was pointing out that if you expect to find 'gzip' on
every UNIX platform you'll be disappointed.

In article <[email-masked]>,
Brian David Womack  <[email-masked]> wrote:
>Very good point.  I've felt that this debate about gzip being
>non-portable was bogus as well.  Every UNIX and PC I've been
>using has had a cross-platform compile of gzip.  Never had
>a problem.
>
>On Wednesday, July 30, 1997 4:33 PM, Jason Zions [SMTP:[email-masked]] wrote:
>> > But g*zip is not portable, either, only *compress is "standard" on unix.
>> > You can just as well install gtar, under that name, too (or link on Linux).
>> 
>> gzip/gunzip are a helluva lot more portable than compress/uncompress;
>> the code is universally available, and unencumbered by the Unisys patent
>> on LZW compression. The requirement for a patent license to ship
>> compress has driven us away from providing it; we use gzip/gunzip.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".